As of yesterday I finished fixing all OpenSSI related compiler warnings and errors.

There are some changes in the core that required rework in OpenSSI.  One of them is the ldt element in mm_context_t structure.  The element used to point to a contiguous memory region and is now an array of highmem page pointers.  It affects the data marshaling code in architecture dependent XDR interface for process migration.  I've only updated the i386 portion.

We still need to add KDB and I haven't tried the kernel yet.  When it works we'll gain all the drivers and fixes that comes with CentOS 4.8 that aren't in the vanilla 2.6.11 kernel.

-Roger

On Fri, Sep 24, 2010 at 12:52 AM, Roger Tsang <roger.tsang@gmail.com> wrote:
Hi,

Since we've seen users having trouble with hardware compatibility I felt a little curious tonight and started porting to kernel-2.6.9-89.0.29.EL for CentOS 4.  So far I'm 1/3 through the patch rejects.  If the core hasn't changed much from 2.6.11 we might have something this weekend.  =)

-Roger